[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH 4/5] binfmt-support /proc locking workaround



From: Otavio Salvador <otavio@ossystems.com.br>

When binfmt-support package is installed, it calls update-binfmts
--import and it does lock the /proc breaking the whole building
process. To workaround it we call the update-binfmts --disable to
unlock it just before unmount /proc.
---

 src/scripts/14chroot.sh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/src/scripts/14chroot.sh b/src/scripts/14chroot.sh
index 7c9feff..5132e8c 100644
--- a/src/scripts/14chroot.sh
+++ b/src/scripts/14chroot.sh
@@ -182,6 +182,9 @@ EOF
 		rm -rf "${LIVE_CHROOT}"/var/cache/apt
 		mkdir -p "${LIVE_CHROOT}"/var/cache/apt/archives/partial
 
+		# Workaround binfmt-support /proc locking
+		umount "${LIVE_CHROOT}"/proc/sys/fs/binfmt_misc > /dev/null || true
+
 		# Unmount proc
 		umount "${LIVE_CHROOT}"/proc
 


Reply to: